﻿@model DomainModels.Entities.Setting.DealProcSetting

@{
    ViewBag.Title = "خاموش کردن پروسیجر";

    var btnTxt = Model.IsOnNow ? "خاموش کردن پروسیجر" : "روشن کردن پروسیجر";
}



<div class="alert alert-success">
    در حال حاضر پروسیجر <i>@Html.ShowBoolean(Model.IsOnNow, "روشن", "خاموش", new { @class = "active-span in-block" }, new { @class = "deactive-span in-block" })</i> می باشد
</div>




@if (Model.IsLock)
{
    if (Model.TryToChangeState)
    {
        <div class="alert alert-info">
            <text>سیستم در حال تلاش برای تغییر وضعیت (روشن/خاموش) پروسیجر می باشد</text>
        </div>
    }

    <div class="alert alert-warning">
        در حال حاضر سیستم در حال انجام دستور قبلی شما می باشد. لذا تا پایان عملیات، امکان صدور دستور جدید میسر نمی باشد
    </div>
}
else
{
    using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

        <div class="row">
            <div class="form-group">
                <div class="col-lg-12">
                    <p style="font-size:14px;padding-bottom:5px">جهت @btnTxt روی دکمه زیر کلیک نمایید</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="form-group">
                <div class="col-lg-12">
                    <input type="submit" value="@btnTxt" class="btn btn-primary" style="padding:8px 12px;font-size:15px" />
                    <br /><br /><br /><br /><br /><br /><br /><br />
                </div>
            </div>
        </div>
    }
}